# rust-chacha20.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate chacha20

Name:           rust-%{crate}
Version:        0.8.1
Release:        1%{?dist}.4
Summary:        ChaCha20 stream cipher (RFC 8439) implemented in pure Rust using traits from the RustCrypto `cipher` crate, with optional architecture-specific hardware acceleration (AVX2, SSE2)

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/chacha20
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(cfg-if/default) >= 1.0.0 with crate(cfg-if/default) < 2.0.0~)
BuildRequires:  (crate(cipher/default) >= 0.3.0 with crate(cipher/default) < 0.4.0~)
BuildRequires:  (crate(cpufeatures/default) >= 0.2.0 with crate(cpufeatures/default) < 0.3.0~)
%if %{with check}
BuildRequires:  (crate(cipher/default) >= 0.3.0 with crate(cipher/default) < 0.4.0~)
BuildRequires:  (crate(cipher/dev) >= 0.3.0 with crate(cipher/dev) < 0.4.0~)
BuildRequires:  (crate(hex-literal/default) >= 0.2.0 with crate(hex-literal/default) < 0.3.0~)
%endif

%global _description %{expand:
ChaCha20 stream cipher (RFC 8439) implemented in pure Rust using traits from
the RustCrypto `cipher` crate, with optional architecture-specific hardware
acceleration (AVX2, SSE2). Additionally provides the ChaCha8, ChaCha12,
XChaCha20, XChaCha12 and XChaCha8 stream ciphers, and also optional rand_core-
compatible RNGs based on those ciphers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+cipher-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cipher-devel %{_description}

This package contains library source intended for building other packages which
use the "cipher" feature of the "%{crate}" crate.

%files       -n %{name}+cipher-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+expose-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+expose-core-devel %{_description}

This package contains library source intended for building other packages which
use the "expose-core" feature of the "%{crate}" crate.

%files       -n %{name}+expose-core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+force-soft-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-soft-devel %{_description}

This package contains library source intended for building other packages which
use the "force-soft" feature of the "%{crate}" crate.

%files       -n %{name}+force-soft-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hchacha-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hchacha-devel %{_description}

This package contains library source intended for building other packages which
use the "hchacha" feature of the "%{crate}" crate.

%files       -n %{name}+hchacha-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+legacy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy" feature of the "%{crate}" crate.

%files       -n %{name}+legacy-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+neon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+neon-devel %{_description}

This package contains library source intended for building other packages which
use the "neon" feature of the "%{crate}" crate.

%files       -n %{name}+neon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_core" feature of the "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rng-devel %{_description}

This package contains library source intended for building other packages which
use the "rng" feature of the "%{crate}" crate.

%files       -n %{name}+rng-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 0.8.1-1
- Update to 0.8.1
* Wed Jul 14 2021 Oleg Girko <ol@infoserver.lv> - 0.7.1-1
- Initial package
